<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Akonadi</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>Akonadi Namespace Reference</h1>
<code>from PyKDE4.akonadi.Akonadi import *</code>
<p>
<h2>Detailed Description</h2>

<h2>Class Index</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_A">&nbsp;&nbsp;A&nbsp;&nbsp;</a></td><td><a class="el" href="Akonadi.CollectionPropertiesPage.html">CollectionPropertiesPage</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_J">&nbsp;&nbsp;J&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Akonadi.AgentFilterProxyModel.html">AgentFilterProxyModel</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.CollectionPropertiesPageFactory.html">CollectionPropertiesPageFactory</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.Job.html">Job</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Akonadi.AgentInstance.html">AgentInstance</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.CollectionStatistics.html">CollectionStatistics</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_L">&nbsp;&nbsp;L&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Akonadi.AgentInstanceCreateJob.html">AgentInstanceCreateJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.CollectionStatisticsDelegate.html">CollectionStatisticsDelegate</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.LinkJob.html">LinkJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Akonadi.AgentInstanceModel.html">AgentInstanceModel</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.CollectionStatisticsJob.html">CollectionStatisticsJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_M">&nbsp;&nbsp;M&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Akonadi.AgentInstanceWidget.html">AgentInstanceWidget</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.CollectionStatisticsModel.html">CollectionStatisticsModel</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.MessageModel.html">MessageModel</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Akonadi.AgentManager.html">AgentManager</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.CollectionView.html">CollectionView</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.MessageThreaderProxyModel.html">MessageThreaderProxyModel</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Akonadi.AgentType.html">AgentType</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.Control.html">Control</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.MessageThreadingAttribute.html">MessageThreadingAttribute</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Akonadi.AgentTypeDialog.html">AgentTypeDialog</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_E">&nbsp;&nbsp;E&nbsp;&nbsp;</a></td><td><a class="el" href="Akonadi.Monitor.html">Monitor</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Akonadi.AgentTypeModel.html">AgentTypeModel</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.Entity.html">Entity</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_R">&nbsp;&nbsp;R&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Akonadi.AgentTypeWidget.html">AgentTypeWidget</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.EntityDisplayAttribute.html">EntityDisplayAttribute</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.ResourceBase.html">ResourceBase</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Akonadi.Attribute.html">Attribute</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_I">&nbsp;&nbsp;I&nbsp;&nbsp;</a></td><td><a name="letter_S">&nbsp;&nbsp;S&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Akonadi.AttributeFactory.html">AttributeFactory</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.Item.html">Item</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.SearchCreateJob.html">SearchCreateJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_C">&nbsp;&nbsp;C&nbsp;&nbsp;</a></td><td><a class="el" href="Akonadi.ItemCopyJob.html">ItemCopyJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.ServerManager.html">ServerManager</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Akonadi.CachePolicy.html">CachePolicy</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.ItemCreateJob.html">ItemCreateJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.Session.html">Session</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Akonadi.ChangeRecorder.html">ChangeRecorder</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.ItemDeleteJob.html">ItemDeleteJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.StandardActionManager.html">StandardActionManager</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Akonadi.Collection.html">Collection</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.ItemFetchJob.html">ItemFetchJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_T">&nbsp;&nbsp;T&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Akonadi.CollectionCopyJob.html">CollectionCopyJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.ItemFetchScope.html">ItemFetchScope</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.TransactionBeginJob.html">TransactionBeginJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Akonadi.CollectionCreateJob.html">CollectionCreateJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.ItemModel.html">ItemModel</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.TransactionCommitJob.html">TransactionCommitJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Akonadi.CollectionDeleteJob.html">CollectionDeleteJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.ItemModifyJob.html">ItemModifyJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.TransactionRollbackJob.html">TransactionRollbackJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Akonadi.CollectionFetchJob.html">CollectionFetchJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.ItemMonitor.html">ItemMonitor</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.TransactionSequence.html">TransactionSequence</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Akonadi.CollectionFilterProxyModel.html">CollectionFilterProxyModel</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.ItemMoveJob.html">ItemMoveJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_U">&nbsp;&nbsp;U&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Akonadi.CollectionModel.html">CollectionModel</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.ItemSerializerPlugin.html">ItemSerializerPlugin</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.UnlinkJob.html">UnlinkJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Akonadi.CollectionModifyJob.html">CollectionModifyJob</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.ItemSync.html">ItemSync</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td></td></tr>
<tr><td><a class="el" href="Akonadi.CollectionPropertiesDialog.html">CollectionPropertiesDialog</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Akonadi.ItemView.html">ItemView</a>&nbsp;(<a class="el" href="Akonadi.html">Akonadi</a>)&nbsp;&nbsp;&nbsp;</td><td></td></tr>
</table>
<table border="0" cellpadding="0" cellspacing="0"></table>

</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
